Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.rule
Interface AccumulateFunction

All Superinterfaces:
  Externalizable, Serializable

    public interface AccumulateFunction

extends Externalizable

An interface for accumulate external function implementations

Method Summary
`void` | `accumulate(Serializable context, Object value)` Executes the accumulation action
`Serializable` | `createContext()` Creates and returns a new context object
`Object` | `getResult(Serializable context)` Returns the current value in this accumulation session
`Class<?>` | `getResultType()` Returns the class type of the result of this function
`void` | `init(Serializable context)` Initializes the accumulator
`void` | `reverse(Serializable context, Object value)` Reverses the accumulation action
`boolean` | `supportsReverse()` True if the function supports reverse.

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Method Detail

### createContext

    Serializable createContext()

  Creates and returns a new context object

  Returns:

### init

    void init(Serializable context)
              throws Exception

  Initializes the accumulator

  Parameters:
    `context` -
  Throws:
    `Exception`

### accumulate

    void accumulate(Serializable context,
                    Object value)

  Executes the accumulation action

  Parameters:
    `context` -
    `value` -

### reverse

    void reverse(Serializable context,
                 Object value)
                 throws Exception

  Reverses the accumulation action

  Parameters:
    `context` -
    `value` -
  Throws:
    `Exception`

### getResult

    Object getResult(Serializable context)
                     throws Exception

  Returns the current value in this accumulation session

  Parameters:
    `context` -
  Returns:
  Throws:
    `Exception`

### supportsReverse

    boolean supportsReverse()

  True if the function supports reverse. False otherwise.

  Returns:

### getResultType

    Class<?> getResultType()

  Returns the class type of the result of this function

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.